{: test a compilation error occurs for an external declaration when the
   function has already been declared }

{$d+}
program e021( output );

var
   x,y : real;

function pow(u : real;  v : integer) : real; external;
function pow(a : real;  b : real) : real; forward; { !!! previously declared }
function tgamma(a : real) : real; external;         { OK }

begin {e021}

   x := pow( 2.0, 2.0 );
   y := tgamma( 2 );

   writeln( 'fails: previously declared external error not detected' );

end. {e021}

